## imcode.server.document
Class GetterDocumentReference

    java.lang.Object
      imcode.server.document.DocumentReference
          imcode.server.document.GetterDocumentReference

All Implemented Interfaces:
  java.io.Serializable

    public class GetterDocumentReference

extends DocumentReference

See Also:
  Serialized Form

Constructor Summary
`GetterDocumentReference(int documentId, DocumentGetter documentGetter)`

Method Summary
`DocumentDomainObject` `getDocument()`
`void` `readObject(java.io.ObjectInputStream ois)`

Methods inherited from class imcode.server.document.DocumentReference
`equals, getDocumentId, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetterDocumentReference

    public GetterDocumentReference(int documentId,
                                   DocumentGetter documentGetter)

Method Detail

### getDocument

    public DocumentDomainObject getDocument()

  Specified by:
    `getDocument` in class `DocumentReference`

### readObject

    public void readObject(java.io.ObjectInputStream ois)
                    throws java.io.IOException,
                           java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`